
CREATE TABLE `DATADICT` (
  `id_dd` int(11) NOT NULL auto_increment,
  `db` varchar(255) NOT NULL default '',
  `view` varchar(255) NOT NULL default '',
  `field` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `form` enum('TEXT','PASSWORD','TEXTAREA','CHECKBOX','RADIO','SELECT') NOT NULL default 'TEXT',
  `err` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id_dd`)
) TYPE=MyISAM;

CREATE TABLE DATADICTerr (
  id_dde int(11) NOT NULL auto_increment,
  err varchar(255) NOT NULL default '',
  msg varchar(255) NOT NULL default '',
  PRIMARY KEY  (id_dde),
  UNIQUE KEY err (err)
) TYPE=MyISAM;

INSERT INTO DATADICTerr VALUES (1,'bad',' incorrect');
INSERT INTO DATADICTerr VALUES (2,'req',' required');
INSERT INTO DATADICTerr VALUES (3,'dateint',' incorrect');
INSERT INTO DATADICTerr VALUES (4,'date',' incorrect');
INSERT INTO DATADICTerr VALUES (5,'long',' too long');
INSERT INTO DATADICTerr VALUES (6,'short',' too short');
INSERT INTO DATADICTerr VALUES (7,'match','\'s not match');
INSERT INTO DATADICTerr VALUES (8,'email',' incorrect');
INSERT INTO DATADICTerr VALUES (9,'url',' incorrect');
INSERT INTO DATADICTerr VALUES (10,'uniq',' already exists');
INSERT INTO DATADICTerr VALUES (11,'cost',' incorrect');
INSERT INTO DATADICTerr VALUES (12,'digit',' contain non-digit');
INSERT INTO DATADICTerr VALUES (13,'min',' less than required');
INSERT INTO DATADICTerr VALUES (14,'max',' greater than required');
INSERT INTO DATADICTerr VALUES (15,'ccard',' incorrect');
INSERT INTO DATADICTerr VALUES (16,'choice',' incorrect');
INSERT INTO DATADICTerr VALUES (17,'time',' incorrect');

