#!/usr/bin/perl
use DBI;
use POWER::SQL;
use POWER::Utils;
use POWER::iCGI;

$HEADER{-Pragma}  = "no-cache";
$HEADER{-Expires} = "access";
$dbh = DBI->connect(Chomp(Cat(".lib/.asdfTemplate.db"))) or die DBI->errstr;

local %ERR;

local %Q    = CGI::Vars();
local %Act  = map { $_ => 1 } keys %Q;
($Q{$_}) = /^-|__/ ? [split /\0/,$Q{$_},-1] : split /\0/,$Q{$_},-1 for keys %Q;
$_ = ""		for grep {not defined $_} values %Q;
$_ = [""]	for grep {ref $_ and not @$_} values %Q;
delete $Q{$_} for grep {m/^_/} keys %Q;		    # POWER::SQL safe

die "Hack alert: '$ENV{PATH_INFO}'\n"
    if	$ENV{PATH_TRANSLATED} =~ m{/[^0-9a-zA-Z_\x80-\xff-]} or
	$ENV{PATH_TRANSLATED} !~ m{\.html?$}i;
show( $ENV{PATH_TRANSLATED} );

{my ($opt, $default);
sub SELECTED {
    ($opt, $default) = @_, return "" if 1!=@_;
    return "SELECTED CHECKED" if grep {$_[0] eq $_} (defined($Q{$opt}) ? 
        (ref $Q{$opt} ? @{$Q{$opt}} : $Q{$opt}) :
        (ref $default ? @$default   : $default));
    return "";
}}

